
QGIS Application - Feature request #4247

Legend - setting for group spacing

2011-09-01 06:26 AM - Martin Nevosad

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category:

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 14195

Description

In the settings of the legend is no option for group spacing. I would be better for the structure of the legend. Typically i want to have a

bigger space between groups than between layers.

Thanks a lot.

Associated revisions

Revision c5f7f1ea - 2012-02-07 02:25 AM - Nathan Woodrow 

Composer Legend: Add spacing for groups.  Fixes #4247 Patch by Anna

Kratochvilova. Thanks!

History

#1 - 2011-09-01 06:27 AM - Giovanni Manghi

in the print composer, or in the canvas TOC?

#2 - 2011-09-01 06:47 AM - Martin Nevosad

I meen this: you can setup space between layers and items, but not between groups.

http://www.nevo-live.ch/www/nevo-live.net/qgis/p1.jpg

#3 - 2011-09-01 06:49 AM - Martin Nevosad

http://www.nevo-live.ch/qgis/p1.jpg

#4 - 2011-09-01 06:50 AM - Giovanni Manghi

And again... do you refer to the legend in the composer or in the QGIS main window?

#5 - 2011-09-01 06:54 AM - Martin Nevosad

Sorry... in the composer
#6 - 2011-09-01 06:56 AM - Giovanni Manghi

- Target version set to Version 1.7.1

- Category set to 33

#7 - 2011-11-10 05:15 AM - Anna Kratochvilova

- File groupSpace.diff added

Here is the patch for this feature. Please review it, I'm a newbie here.

#8 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#9 - 2011-11-18 08:57 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

cab anyone review and eventually commit this patch? thanks.

#10 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#11 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#12 - 2012-02-06 04:01 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

Giovanni I'm happy to take a look at it.

#13 - 2012-02-06 05:28 PM - Nathan Woodrow

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"c5f7f1ea6331d187704f752d9d3550578f22cd71".

Files

groupSpace.diff 9.19 KB 2011-11-10 Anna Kratochvilova
